package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DeckUpdate extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
        // 222 DeckSetData
        Protocol.DeckSetData data = Protocol.DeckSetData.parseFrom(body.getBody());
        log.info("DeckSetData: {}", data);
    }

    @Override
    public int getId() {
        return 222;
    }
}
